BasicComboPopup.InvocationMouseHandler (Java SE 10 & JDK 10 )
Keywords: javax.swing.plaf.basic.BasicComboPopup.InvocationMouseHandler class

Module java.desktop
Package javax.swing.plaf.basic

## Class BasicComboPopup.InvocationMouseHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.basic.BasicComboPopup.InvocationMouseHandler

- All Implemented Interfaces:
    `MouseListener`, `MouseMotionListener`, `MouseWheelListener`, `EventListener`
  Enclosing class:
    BasicComboPopup

      protected class BasicComboPopup.InvocationMouseHandler
      extends MouseAdapter

  A listener to be registered upon the combo box (not its popup menu) to handle mouse events that affect the state of the popup menu. The main purpose of this listener is to make the popup menu appear and disappear. This listener also helps with click-and-drag scenarios by setting the selection if the mouse was released over the list during a drag.

  Warning: We recommend that you not create subclasses of this class. If you absolutely must create a subclass, be sure to invoke the superclass version of each method.

  See Also:
    `BasicComboPopup.createMouseListener()`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `InvocationMouseHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `mousePressed​(MouseEvent e)` | Responds to mouse-pressed events on the combo box.
    `void` | `mouseReleased​(MouseEvent e)` | Responds to the user terminating a click or drag that began on the combo box.

    - ### Methods declared in class java.awt.event.MouseAdapter

      `mouseDragged, mouseMoved, mouseWheelMoved`

    - ### Methods declared in interface java.awt.event.MouseListener

      `mouseClicked, mouseEntered, mouseExited`

    - ### Methods declared in class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InvocationMouseHandler

          protected InvocationMouseHandler()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed​(MouseEvent e)

      Responds to mouse-pressed events on the combo box.
      Parameters:
        `e` - the mouse-press event to be handled

    - #### mouseReleased

          public void mouseReleased​(MouseEvent e)

      Responds to the user terminating a click or drag that began on the combo box.
      Parameters:
        `e` - the mouse-release event to be handled